Subject: bug#16120: closed (Re: bug#16120: grep and tramp)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 08 Feb 2014 13:40:03 +0000

Your bug report

#16120: grep and tramp

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
16120: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=16120
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#16120: grep and tramp
From: Michael Albinus <[email-masked]>
To: Paul Pogonyshev <[email-masked]>
Cc: [email-masked]
Date: Sat, 08 Feb 2014 14:39:03 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Michael Albinus <[email-masked]> writes:

> Paul Pogonyshev <[email-masked]> writes:

Hi Paul,

>> Grep over tramp fails to insert header in its output buffer. (I
>> remember reporting this bug, but I didn't notice it was about tramp
>> then; I tried with 'emacs -q' now).
>
> I know that behaviour. The reason is, that the current implementation
> would also include a prompt from the remote machine after that header;
> it's not easy to suppress it. That's why Tramp hides everything before
> the grep output.
>
> I will take this bug report as encouragement to find a proper solution :-)

I've fixed this now, changes committed to the repositories. Closing the bug.

>> Paul

Best regards, Michael.

Subject: grep and tramp
From: Paul Pogonyshev <[email-masked]>
To: [email-masked]
Date: Thu, 12 Dec 2013 14:38:41 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Grep over tramp fails to insert header in its output buffer. (I remember
reporting this bug, but I didn't notice it was about tramp then; I tried
with 'emacs -q' now).

For example, run from *scratch*, as 'M-x grep RET grep -nH -e xxx xxx RET':

    -*- mode: grep; default-directory: "~/" -*-
    Grep started at Thu Dec 12 14:33:28

    grep -nH -e xxx xxx
    grep: xxx: No such file or directory

    Grep exited abnormally with code 2 at Thu Dec 12 14:33:28

But when run from a "tramped" buffer ('/sudo:root@localhost', but
apparently true for any other case too) in the same way:

    grep: xxx: No such file or directory

    Grep exited abnormally with code 2 at Thu Dec 12 14:35:53

Version: GNU Emacs 24.3.50.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.8.6)
of 2013-12-04 on gonzo.localdomain

Paul